PROJECTDIR = `pwd`
LIBUC = /opt/libuc2

HEADERSINSTALLPATH = $(LIBUC_INC_DIR_FAT32) 
HEADERS += fat32.h
LIBSOURCES += fat32.c
OBJDIR = obj
BINDIR = bin
OBJECTFILES = $(LIBSOURCES:.c=.o)
OBJECTFILES := $(addprefix $(OBJDIR)/,$(OBJECTFILES))
ARCH = lpc17XX-arm-noabi-gcc
ARCHFOLDER = $(LIBUC)/rules/lpc17XX-arm-noabi-gcc
TARGET=libfat32
LIBUC_INCLUDES=$(LIBUC_INC_DIR_BLKDEVICE_CMD) $(LIBUC_INC_DIR_MBR_CMD) $(LIBUC_INC_DIR_UCSTRINGS_CMD) $(LIBUC_INC_DIR_UHANDLE_CMD) $(LIBUC_INC_DIR_FS_CMD) $(LIBUC_INC_DIR_UCDIRENT_CMD) 
LIBUC_LIBRARIES=$(LIBUC_LIBS_DIR_BLKDEVICE_CMD) $(LIBUC_LIBS_BLKDEVICE) $(LIBUC_LIBS_DIR_MBR_CMD) $(LIBUC_LIBS_MBR) $(LIBUC_LIBS_DIR_UCSTRINGS_CMD) $(LIBUC_LIBS_UCSTRINGS) $(LIBUC_LIBS_DIR_UHANDLE_CMD) $(LIBUC_LIBS_UHANDLE) $(LIBUC_LIBS_DIR_FS_CMD) $(LIBUC_LIBS_FS) $(LIBUC_LIBS_DIR_UCDIRENT_CMD) $(LIBUC_LIBS_UCDIRENT) 
TARGETINSTALLPATH=$(LIBUC_LIBS_DIR_FAT32)
HEADERSINSTALLPATH=$(LIBUC_INC_DIR_FAT32)
BSP=generic
include $(ARCHFOLDER)/rules.mk

all:lib
	@echo Code compiled

libclean:
	rm -f $(TARGETINSTALLPATH)/*.a
	rm -f $(HEADERSINSTALLPATH)/*.h
